Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234473 - Remove sparse directory info from rpmbuild
Summary: Remove sparse directory info from rpmbuild
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 15:28 UTC by Prarit Bhargava
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 15:22:47 UTC


Attachments (Terms of Use)
Fedora fix for this issue (deleted)
2007-03-29 15:28 UTC, Prarit Bhargava
no flags Details | Diff

Description Prarit Bhargava 2007-03-29 15:28:10 UTC
Description of problem:


Currently, rpmbuild -bp kernel-2.6.spec does

/usr/bin/bzip2 -dc /usr/src/redhat/SOURCES/sparse-0.2.tar.bz2
tar -xvvf -

which displays the directory of what has been untarred:

+ tar -xvvf -
drwxrwxrwx git/git           0 2006-12-05 06:22:44 sparse-0.2/
-rw-rw-rw- git/git         263 2006-12-05 06:22:44 sparse-0.2/.gitignore
-rw-rw-rw- git/git        4567 2006-12-05 06:22:44 sparse-0.2/FAQ
-rw-rw-rw- git/git       11013 2006-12-05 06:22:44 sparse-0.2/LICENSE
-rw-rw-rw- git/git        3630 2006-12-05 06:22:44 sparse-0.2/Makefile
-rw-rw-rw- git/git        3212 2006-12-05 06:22:44 sparse-0.2/README
-rw-rw-rw- git/git        3465 2006-12-05 06:22:44 sparse-0.2/allocate.c
-rw-rw-rw- git/git        2224 2006-12-05 06:22:44 sparse-0.2/allocate.h
-rw-rw-rw- git/git        1436 2006-12-05 06:22:44 sparse-0.2/bitmap.h
-rwxrwxrwx git/git        6538 2006-12-05 06:22:44 sparse-0.2/cgcc
-rw-rw-rw- git/git         733 2006-12-05 06:22:44 sparse-0.2/compat-cygwin.c
-rw-rw-rw- git/git         119 2006-12-05 06:22:44 sparse-0.2/compat-linux.c
-rw-rw-rw- git/git         588 2006-12-05 06:22:44 sparse-0.2/compat-mingw.c
-rw-rw-rw- git/git         685 2006-12-05 06:22:44 sparse-0.2/compat-solaris.c
-rw-rw-rw- git/git         713 2006-12-05 06:22:44 sparse-0.2/compat.h
drwxrwxrwx git/git           0 2006-12-05 06:22:44 sparse-0.2/compat/
-rw-rw-rw- git/git         853 2006-12-05 06:22:44 sparse-0.2/compat/mmap-blob.c
-rw-rw-rw- git/git         114 2006-12-05 06:22:44 sparse-0.2/compat/strtold.c
-rw-rw-rw- git/git       55302 2006-12-05 06:22:44 sparse-0.2/compile-i386.c
-rw-rw-rw- git/git        1424 2006-12-05 06:22:44 sparse-0.2/compile.c
-rw-rw-rw- git/git         183 2006-12-05 06:22:44 sparse-0.2/compile.h
-rw-rw-rw- git/git        9060 2006-12-05 06:22:44 sparse-0.2/cse.c
-rw-rw-rw- git/git       12921 2006-12-05 06:22:44 sparse-0.2/dissect.c
-rw-rw-rw- git/git         760 2006-12-05 06:22:44 sparse-0.2/dissect.h
-rw-rw-rw- git/git       69006 2006-12-05 06:22:44 sparse-0.2/evaluate.c
-rw-rw-rw- git/git       45061 2006-12-05 06:22:44 sparse-0.2/example.c
-rw-rw-rw- git/git       26468 2006-12-05 06:22:44 sparse-0.2/expand.c
-rw-rw-rw- git/git       20618 2006-12-05 06:22:44 sparse-0.2/expression.c
-rw-rw-rw- git/git        4732 2006-12-05 06:22:44 sparse-0.2/expression.h
-rw-rw-rw- git/git       23151 2006-12-05 06:22:44 sparse-0.2/flow.c
-rw-rw-rw- git/git        1280 2006-12-05 06:22:44 sparse-0.2/flow.h
-rw-rw-rw- git/git        1587 2006-12-05 06:22:44 sparse-0.2/graph.c
-rw-rw-rw- git/git        2717 2006-12-05 06:22:44 sparse-0.2/ident-list.h
-rw-rw-rw- git/git       14179 2006-12-05 06:22:44 sparse-0.2/inline.c
-rw-rw-rw- git/git       16834 2006-12-05 06:22:44 sparse-0.2/lib.c
-rw-rw-rw- git/git        5305 2006-12-05 06:22:44 sparse-0.2/lib.h
-rw-rw-rw- git/git       54860 2006-12-05 06:22:44 sparse-0.2/linearize.c
-rw-rw-rw- git/git        6383 2006-12-05 06:22:44 sparse-0.2/linearize.h
-rw-rw-rw- git/git        8076 2006-12-05 06:22:44 sparse-0.2/liveness.c
-rw-rw-rw- git/git        5159 2006-12-05 06:22:44 sparse-0.2/memops.c
-rw-rw-rw- git/git        1209 2006-12-05 06:22:44 sparse-0.2/obfuscate.c
-rw-rw-rw- git/git       51533 2006-12-05 06:22:44 sparse-0.2/parse.c
-rw-rw-rw- git/git        3512 2006-12-05 06:22:44 sparse-0.2/parse.h
-rw-rw-rw- git/git       41730 2006-12-05 06:22:44 sparse-0.2/pre-process.c
-rw-rw-rw- git/git        4796 2006-12-05 06:22:44 sparse-0.2/ptrlist.c
-rw-rw-rw- git/git        8749 2006-12-05 06:22:44 sparse-0.2/ptrlist.h
-rw-rw-rw- git/git        2115 2006-12-05 06:22:44 sparse-0.2/scope.c
-rw-rw-rw- git/git         892 2006-12-05 06:22:44 sparse-0.2/scope.h
-rw-rw-rw- git/git       24769 2006-12-05 06:22:44 sparse-0.2/show-parse.c
-rw-rw-rw- git/git       18546 2006-12-05 06:22:44 sparse-0.2/simplify.c
-rw-rw-rw- git/git        5698 2006-12-05 06:22:44 sparse-0.2/sort.c
-rw-rw-rw- git/git        6538 2006-12-05 06:22:44 sparse-0.2/sparse.c
-rw-rw-rw- git/git         175 2006-12-05 06:22:44 sparse-0.2/sparse.pc.in
-rw-rw-rw- git/git        7592 2006-12-05 06:22:44 sparse-0.2/storage.c
-rw-rw-rw- git/git        1703 2006-12-05 06:22:44 sparse-0.2/storage.h
-rw-rw-rw- git/git       24114 2006-12-05 06:22:44 sparse-0.2/symbol.c
-rw-rw-rw- git/git        7962 2006-12-05 06:22:44 sparse-0.2/symbol.h
-rw-rw-rw- git/git         711 2006-12-05 06:22:44 sparse-0.2/target.c
-rw-rw-rw- git/git         716 2006-12-05 06:22:44 sparse-0.2/target.h
-rw-rw-rw- git/git        2119 2006-12-05 06:22:44 sparse-0.2/test-dissect.c
-rw-rw-rw- git/git         713 2006-12-05 06:22:44 sparse-0.2/test-lexing.c
-rw-rw-rw- git/git         984 2006-12-05 06:22:44 sparse-0.2/test-linearize.c
-rw-rw-rw- git/git        1436 2006-12-05 06:22:44 sparse-0.2/test-parsing.c
-rw-rw-rw- git/git         851 2006-12-05 06:22:44 sparse-0.2/test-sort.c
-rw-rw-rw- git/git        1633 2006-12-05 06:22:44 sparse-0.2/test-unssa.c
-rw-rw-rw- git/git        4881 2006-12-05 06:22:44 sparse-0.2/token.h
-rw-rw-rw- git/git       20416 2006-12-05 06:22:44 sparse-0.2/tokenize.c
-rw-rw-rw- git/git        3572 2006-12-05 06:22:44 sparse-0.2/unssa.c
drwxrwxrwx git/git           0 2006-12-05 06:22:44 sparse-0.2/validation/
-rw-rw-rw- git/git          57 2006-12-05 06:22:44
sparse-0.2/validation/bad-array-designated-initializer.c
-rw-rw-rw- git/git          47 2006-12-05 06:22:44
sparse-0.2/validation/bad-assignment.c
-rw-rw-rw- git/git          63 2006-12-05 06:22:44 sparse-0.2/validation/bad-cast.c
-rw-rw-rw- git/git         138 2006-12-05 06:22:44
sparse-0.2/validation/bad-ternary-cond.c
-rw-rw-rw- git/git          31 2006-12-05 06:22:44 sparse-0.2/validation/badtype1.c
-rw-rw-rw- git/git         138 2006-12-05 06:22:44 sparse-0.2/validation/badtype2.c
-rw-rw-rw- git/git         144 2006-12-05 06:22:44 sparse-0.2/validation/badtype3.c
-rw-rw-rw- git/git          51 2006-12-05 06:22:44 sparse-0.2/validation/badtype4.c
-rw-rw-rw- git/git         242 2006-12-05 06:22:44 sparse-0.2/validation/bitfields.c
-rw-rw-rw- git/git         465 2006-12-05 06:22:44
sparse-0.2/validation/builtin_safe1.c
-rw-rw-rw- git/git          73 2006-12-05 06:22:44
sparse-0.2/validation/check_byte_count-ice.c
-rw-rw-rw- git/git         171 2006-12-05 06:22:44
sparse-0.2/validation/choose_expr.c
-rw-rw-rw- git/git         263 2006-12-05 06:22:44 sparse-0.2/validation/cond_expr.c
-rw-rw-rw- git/git        2939 2006-12-05 06:22:44 sparse-0.2/validation/context.c
-rw-rw-rw- git/git         170 2006-12-05 06:22:44
sparse-0.2/validation/field-overlap.c
-rw-rw-rw- git/git         223 2006-12-05 06:22:44
sparse-0.2/validation/foul-bitwise.c
-rw-rw-rw- git/git         334 2006-12-05 06:22:44
sparse-0.2/validation/init-char-array.c
-rw-rw-rw- git/git         735 2006-12-05 06:22:44
sparse-0.2/validation/initializer-entry-defined-twice.c
-rw-rw-rw- git/git         155 2006-12-05 06:22:44
sparse-0.2/validation/inline_compound_literals.c
-rw-rw-rw- git/git         521 2006-12-05 06:22:44 sparse-0.2/validation/noderef.c
drwxrwxrwx git/git           0 2006-12-05 06:22:44 sparse-0.2/validation/phase2/
-rw-rw-rw- git/git        1726 2006-12-05 06:22:44
sparse-0.2/validation/phase2/backslash
drwxrwxrwx git/git           0 2006-12-05 06:22:44 sparse-0.2/validation/phase3/
-rw-rw-rw- git/git         178 2006-12-05 06:22:44
sparse-0.2/validation/phase3/comments
-rw-rw-rw- git/git         251 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor1.c
-rw-rw-rw- git/git         242 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor10.c
-rw-rw-rw- git/git         153 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor11.c
-rw-rw-rw- git/git          75 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor12.c
-rw-rw-rw- git/git          90 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor13.c
-rw-rw-rw- git/git         128 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor14.c
-rw-rw-rw- git/git          98 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor15.c
-rw-rw-rw- git/git         705 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor16.c
-rw-rw-rw- git/git          74 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor17.c
-rw-rw-rw- git/git          57 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor18.c
-rw-rw-rw- git/git         136 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor19.c
-rw-rw-rw- git/git         207 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor2.c
-rw-rw-rw- git/git          76 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor20.c
-rw-rw-rw- git/git          37 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor20.h
-rw-rw-rw- git/git         696 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor3.c
-rw-rw-rw- git/git         160 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor4.c
-rw-rw-rw- git/git         130 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor5.c
-rw-rw-rw- git/git         863 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor6.c
-rw-rw-rw- git/git          78 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor7.c
-rw-rw-rw- git/git         295 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor8.c
-rw-rw-rw- git/git         195 2006-12-05 06:22:44
sparse-0.2/validation/preprocessor9.c
-rw-rw-rw- git/git         244 2006-12-05 06:22:44 sparse-0.2/validation/struct-as.c
-rw-rw-rw- git/git         413 2006-12-05 06:22:44
sparse-0.2/validation/struct-ns1.c
-rw-rw-rw- git/git         161 2006-12-05 06:22:44
sparse-0.2/validation/struct-ns2.c
-rw-rw-rw- git/git         259 2006-12-05 06:22:44
sparse-0.2/validation/struct-size1.c
-rw-rw-rw- git/git         532 2006-12-05 06:22:44 sparse-0.2/validation/test-be.c
-rw-rw-rw- git/git         440 2006-12-05 06:22:44 sparse-0.2/validation/type1.c
-rw-rw-rw- git/git          67 2006-12-05 06:22:44
sparse-0.2/validation/typeconvert.c
-rw-rw-rw- git/git          95 2006-12-05 06:22:44 sparse-0.2/validation/varargs1.c


Version-Release number of selected component (if applicable): 2.6.20-1.3025.fc7

How reproducible: 100%


Steps to Reproduce:
1. rpmbuild -bp kernel-2.6.spec
2.
3.
  
Actual results: See above


Expected results:  Don't need the extra output.


Additional info:

Comment 1 Prarit Bhargava 2007-03-29 15:28:10 UTC
Created attachment 151205 [details]
Fedora fix for this issue

Comment 2 Jarod Wilson 2007-03-30 15:22:47 UTC
Fix committed.


Note You need to log in before you can comment on or make changes to this bug.